支払方法分類一覧取得
GET
/payment_method_groups
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/payment_method_groups?payment_method_group_id=1&display_flag=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/payment_method_groups?payment_method_group_id=1&display_flag=0' \ --header 'Authorization: Bearer <token>'支払方法分類の一覧を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
paymentMethodGroupId:支払方法分類IDcode:コードdisplaySequence:表示順
limit
integer
上限数
page
integer
ページ
payment_method_group_id
required
integer
支払方法分類ID
code
string
コード:一意にするための値
display_flag
string
有効/無効:端末で表示するかを設定。(0:無効、1:有効)
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
paymentMethodGroupId
支払方法分類ID
string
code
コード:一意にするための値
string
name
名称
string
displaySequence
表示順
string
displayFlag
有効/無効:端末で表示するかを設定。(0:無効、1:有効)
string
insDateTime
作成日時:登録時の日時
string
updDateTime
更新日時:登録時・更新時の日時
string
Example
[ { "paymentMethodGroupId": "string", "code": "string", "name": "string", "displaySequence": "string", "displayFlag": "string", "insDateTime": "string", "updDateTime": "string" }]